org.apache.commons.ssl

## Class ASN1Structure

- java.lang.Object
- - org.apache.commons.ssl.ASN1Structure

     class ASN1Structure
    extends java.lang.Object

Since:
  16-Nov-2005
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`(package private) byte[]` `bigPayload`
`(package private) java.util.List` `derIntegers`
`(package private) int` `iterationCount`
`(package private) byte[]` `iv`
`(package private) int` `keySize`
`(package private) java.lang.String` `oid1`
`(package private) java.lang.String` `oid2`
`(package private) java.lang.String` `oid3`
`(package private) java.util.Set` `oids`
`(package private) byte[]` `salt`
`(package private) byte[]` `smallPayload`

### Constructor Summary

Constructors
Constructor and Description
`ASN1Structure()`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### derIntegers

    java.util.List derIntegers

#### oids

    java.util.Set oids

#### oid1

    java.lang.String oid1

#### oid2

    java.lang.String oid2

#### oid3

    java.lang.String oid3

#### salt

    byte[] salt

#### iv

    byte[] iv

#### iterationCount

    int iterationCount

#### keySize

    int keySize

#### bigPayload

    byte[] bigPayload

#### smallPayload

    byte[] smallPayload

### Constructor Detail

#### ASN1Structure

    ASN1Structure()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`